Page MenuHomeAleph Objects Inc

Allow defining firmware version per printer profile
Closed, ResolvedPublic

Description

We need to be able to define a specific version of the firmware per printer profile. This will be required for Quiver.

Event Timeline

Steven created this task.Mar 1 2019, 1:16 PM
Steven triaged this task as Normal priority.
Steven created this object with edit policy "Cura LulzBot Edition (Project)".
karrad added a subscriber: karrad.Mar 1 2019, 1:20 PM

We will want to use marlin 2.0.0.xxx for all quiver printers, while using 1.1.9.34 for all older versions of the printer.

USB printer output device, starting line 182 https://code.alephobjects.com/source/cura-lulzbot/browse/master/plugins/USBPrinting/USBPrinterOutputDeviceManager.py

karrad added a comment.Mar 5 2019, 1:46 PM

Looks like we should leave the FDM printer definition with the LulzBot firmware at 1.1.9.34, and only update Quiver specific machine definitions to the 2.0.0.xx

alexei closed this task as Resolved.Mar 19 2019, 10:06 AM

This was added to master.